Installer - Feature #14453

Generate Kafo parser cache during build
04/04/2016 07:41 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: foreman-installer script
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/172,
https://github.com/theforeman/foreman-p
ackaging/pull/1128

Description

Kafo should gain a parser cache feature through ticket #14447, which is a YAML file generated at build time containing parsed
information from the Puppet manifests and modules.

The kafo-export-params -f parsercache command should be added to the installer's Rakefile and the :parser_cache_path added to
the installer configuration.

Related issues:

Blocked by Kafo - Feature #14447: Add serialised cache of parsed manifests Closed 04/04/2016
Blocks Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014
Blocked by Kafo - Bug #14472: kafo-export-params fails on Debian: cannot load... Closed 04/05/2016
Blocked by Kafo - Bug #14473: invalid byte sequence in US-ASCIl on UTF-8 mani... Closed 04/05/2016
Blocked by Kafo - Bug #14729: Parser cache can't load Puppet::* validation fu... Rejected 04/20/2016

Associated revisions

Revision 23235877 - 05/06/2016 10:51 AM - Dominic Cleal
fixes #14453 - build and install Kafo parser cache (#172)

The parser cache will provide support for Puppet in AlO in the near
future with Kafo by not loading Puppet or puppet-strings, and provides
a performance boost to the installer startup. Requires Kafo 0.7.3.

Be careful to preserve mtimes of manifest files to ensure the cache
validity. Extra kafo-export-params search dirs were removed as all
current packages install correctly into /usr/bin or PATH, and it is
now required to build.

History

#1 - 04/04/2016 07:41 AM - Dominic Cleal
- Blocked by Feature #14447: Add serialised cache of parsed manifests added

#2 - 04/04/2016 07:41 AM - Dominic Cleal
- Blocks Tracker #8447: Puppet 4 support added

#3 - 04/04/2016 10:32 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 04/05/2016 03:31 AM - Dominic Cleal
- Blocked by Bug #14472: kafo-export-params fails on Debian: cannot load such file -- configuration (LoadError) added

05/21/2024 1/2



https://projects.theforeman.org/issues/14447

#5 - 04/05/2016 04:13 AM - Dominic Cleal
- Blocked by Bug #14473: invalid byte sequence in US-ASCII on UTF-8 manifests under C locale added

#6 - 04/18/2016 11:01 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/172 added

#7 - 04/20/2016 06:33 AM - Dominic Cleal
- Blocked by Bug #14729: Parser cache can't load Puppet::* validation functions when reading cache added

#8 - 05/06/2016 05:01 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/1128 added

#9 - 05/06/2016 11:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 23235877163bde6a2744a791fc20d483d3cb9570.

#10 - 05/09/2016 04:23 AM - Dominic Cleal

- translation missing: en.field_release set to 136

05/21/2024

22


https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/23235877163bde6a2744a791fc20d483d3cb9570
http://www.tcpdf.org

